The Emacs Editor
****************

   Emacs is the extensible, customizable, self-documenting real-time
display editor.  This Info file describes how to edit with Emacs and
some of how to customize it, but not how to extend it.  It corresponds
to GNU Emacs version 19.25.

Indexes, nodes containing large menus

Important General Concepts

Fundamental Editing Commands

Important Text-Changing Commands

Larger Units of Text

Advanced Features

Recovery from Problems.

Here are some other nodes which are really inferiors of the ones
already listed, mentioned here so you can get to them in one step:

Distribution
************

   GNU Emacs is "free"; this means that everyone is free to use it and
free to redistribute it on certain conditions.  GNU Emacs is not in the
public domain; it is copyrighted and there are restrictions on its
distribution, but these restrictions are designed to permit everything
that a good cooperating citizen would want to do.  What is not allowed
is to try to prevent others from further sharing any version of GNU
Emacs that they might get from you.  The precise conditions are found in
the GNU General Public License that comes with Emacs and also appears
following this section.

   The easiest way to get a copy of GNU Emacs is from someone else who
has it.  You need not ask for permission to do so, or tell any one else;
just copy it.  If you have access to the Internet, you can get the
latest distribution version of GNU Emacs from host `prep.ai.mit.edu'
using anonymous login.  See the file `/pub/gnu/GETTING.GNU.SOFTWARE' on
that host to find out about your options for copying and which files to
use.

   You may also receive GNU Emacs when you buy a computer.  Computer
manufacturers are free to distribute copies on the same terms that
apply to everyone else.  These terms require them to give you the full
sources, including whatever changes they may have made, and to permit
you to redistribute the GNU Emacs received from them under the usual
terms of the General Public License.  In other words, the program must
be free for you when you get it, not just free for the manufacturer.

   You can also order copies of GNU Emacs from the Free Software
Foundation, on various magnetic media or on CD-ROM.  This is a
convenient and reliable way to get a copy; it is also a good way to help
fund our work.  (The Foundation has always received most of its funds in
this way.)  An order form is included at the end of manuals printed by
the Foundation.  It is also included in the file `etc/ORDERS' in the
Emacs distribution.  For further information, write to

     Free Software Foundation
     675 Mass Ave
     Cambridge, MA 02139
     USA

   The income from distribution fees goes to support the foundation's
purpose: the development of new free software, and improvements to our
existing programs including GNU Emacs.

   If you find GNU Emacs useful, please *send a donation* to the Free
Software Foundation to support our work.  Donations to the Free
Software Foundation are tax deductible.  If you use GNU Emacs at your
workplace, suggest that the company make a donation.  If the management
of your office opposes the idea of donations, you might instead suggest
ordering a CD-ROM from the Foundation occasionally.